# ARST打卡第263周

<!--more-->

lc2644_找出可整除性得分最大的整数 AI 如何助力企业管理【TED演讲】 负缓存 推荐书《Rust权威指南》

## Algorithm
lc2644_找出可整除性得分最大的整数

思路:

感觉就是能获取最多整除数的最小除数。

所以要遍历两个数组，所以就是 O(n*m), 1e6.

所以可以先排序再进行遍历。

```cpp
class Solution {
public:
    int maxDivScore(vector<int>& nums, vector<int>& divisors) {
        sort(nums.begin(), nums.end());
        sort(divisors.begin(), divisors.end());
        int ans = divisors[0];
        int max_cnt = 0;
        for (auto div : divisors) {
            int cnt = 0;
            for (auto num : nums) {
                if (num % div == 0) {
                    cnt ++;
                }
            }
            if (cnt > max_cnt) {
                max_cnt = cnt;
                ans = div;
            }
        }
        return ans;
    }
};
```

因为排序，所以可读性比题解的可读性更好。

## Review
AI 如何助力企业管理【TED演讲】

<div align = "center">
    <iframe  width="100%" height="700" src="//player.bilibili.com/player.html?isOutside=true&aid=1601385968&bvid=BV1f2421M7wA&cid=1459456298&p=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
</div>

目前一般都是大型科技公司在构建AI应用，独特的企业使用AI有巨大的AI工程师成本。

所以视频中吴恩达介绍了通过直接让不懂AI的人上传数据就能训练一个独立AI的平台。

并且希望借这种平台来大大创造社会财富并传播到世界每个角落。

就像普及读写能力给世界创造的财富一样。

## Tips
[负缓存](https://blog.csdn.net/weixin_38233104/article/details/135338755)

## Share

推荐书《Rust权威指南》

对于有后端语言编程经验的人来说，这本Rust权威指南真的挺不错，基本方方面面，循序渐进讲清楚了。

当然对于小白来说可能有点难，那就要去网上找更风趣幽默的小白书了。
